Package net.shibboleth.spring.security.trust

# Class StaticPKIXSignatureParser

java.lang.Object
org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser
net.shibboleth.shared.spring.custom.AbstractCustomBeanDefinitionParser
net.shibboleth.spring.security.trust.AbstractTrustEngineParser
net.shibboleth.spring.security.trust.AbstractStaticPKIXParser
net.shibboleth.spring.security.trust.StaticPKIXSignatureParser

All Implemented Interfaces:
  `BeanDefinitionParser`

public class StaticPKIXSignatureParser extends AbstractStaticPKIXParser
Parser for trust engines of type StaticPKIXKeySignature.

## Nested Class Summary

## Nested classes/interfaces inherited from class net.shibboleth.spring.security.trust.AbstractStaticPKIXParser

`AbstractStaticPKIXParser.X509CredentialNameEvaluatorFactoryBean`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final QName`
`TYPE_NAME`
Schema type.

### Fields inherited from class net.shibboleth.spring.security.trust.AbstractStaticPKIXParser

`TRUSTED_NAMES, VALIDATION_INFO`

### Fields inherited from class net.shibboleth.shared.spring.custom.AbstractCustomBeanDefinitionParser

`CUSTOM_PARSER_PROPERTIES_LOCATION`

### Fields inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser

`ID_ATTRIBUTE, NAME_ATTRIBUTE`

## Constructor Summary

Constructors
Constructor
Description
`StaticPKIXSignatureParser()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`doParse(Element element, ParserContext parserContext, BeanDefinitionBuilder builder)`
`protected Class<?>`
`getBeanClass(Element element)`

### Methods inherited from class net.shibboleth.spring.security.trust.AbstractStaticPKIXParser

`getPKIXTrustEvaluator, getPKIXValidationInformationResolver, getX509CredentialNameEvaluator`

### Methods inherited from class net.shibboleth.spring.security.trust.AbstractTrustEngineParser

`resolveId`

### Methods inherited from class net.shibboleth.shared.spring.custom.AbstractCustomBeanDefinitionParser

`getCustomProperty, registerBeanDefinition`

### Methods inherited from class org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser

`doParse, getBeanClassName, getParentName, parseInternal`

### Methods inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser

`parse, postProcessComponentDefinition, shouldFireEvents, shouldGenerateId, shouldGenerateIdAsFallback, shouldParseNameAsAliases`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### TYPE_NAME

@Nonnull public static final QName TYPE_NAME
Schema type.

## Constructor Details

### StaticPKIXSignatureParser

public StaticPKIXSignatureParser()

## Method Details

### getBeanClass

@Nonnull protected Class<?> getBeanClass(@Nonnull Element element)

Overrides:
  `getBeanClass` in class `AbstractSingleBeanDefinitionParser`

### doParse

protected void doParse(@Nonnull Element element, @Nonnull ParserContext parserContext, @Nonnull BeanDefinitionBuilder builder)

We call into `PKIXSignatureTrustEngine(org.opensaml.security.x509.PKIXValidationInformationResolver, org.opensaml.xmlsec.keyinfo.KeyInfoCredentialResolver, org.opensaml.security.x509.PKIXTrustEvaluator, org.opensaml.security.x509.impl.X509CredentialNameEvaluator)`.

Overrides:
  `doParse` in class `AbstractTrustEngineParser`